### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-scrolling-sections/ecl-scrolling-sections.component.ts`

### Implements

`OnInit` `AfterContentInit` `OnDestroy`

### Metadata

selector | `ecl-scrolling-sections`
templateUrl | `./ecl-scrolling-sections.component.html`

### Index

###### Properties
currentSectionElement eclScrollingSections
###### Inputs
styleClass
###### Outputs
sectionEnter

### Constructor

`constructor(el: ElementRef)`
Parameters :
Name | Type | Optional
el | `ElementRef` | No

### Inputs

styleClass
Type : `string`

### Outputs

sectionEnter
Type : `EventEmitter`

### Properties

currentSectionElement
Type : `EclScrollingSectionDirective`

eclScrollingSections
Type : `QueryList<EclScrollingSectionDirective>`
Decorators : `@ContentChildren(undefined)`

# result-matching ""

# No results matching ""